// Hello World 示例程序
// package 包的名称, 每个go文件都必须属于某个包, 程序入口 必须是 main 包, main函数
package main

// import Go 引入依赖的语法
// go 的内在库中包含了大量常用的包, 安装了go语言就自带
// 三方包, 需要独立安装才能使用 比如 gorm: go install gorm.io/gorm
import (
	"fmt"

	"gorm.io/driver/sqlite"
	// 三方包: go install gorm.io/gorm
	// 直接使用 go mod tidy 安装: 安装项目中所有没有安装的包
	"gorm.io/gorm"
)

// main 函数是程序入口: 编译后运行, go run快捷运行
func main() {
	fmt.Println("Hello, World!")
	db, err := gorm.Open(sqlite.Open("test.db"), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}
	fmt.Println(db)
}
